      PROGRAM XYD2YMD
C
C
C     RCS DATA
C     
C     $Header$
C     
C     $Log$
C
C
      IMPLICIT NONE
      INTEGER*4 Y,M
      REAL*8 D,YD,YD2
C
   10 WRITE(*,20) '  Date (yyyyddd)? '
   20 FORMAT(/A$)
      READ(*,*) YD
      CALL YD2YMD(YD,Y,M,D)
      WRITE(*,30) YD,Y,M,D
   30 FORMAT(F20.4,' = ',I5,'/',I2.2,'/',F7.4/)
      CALL YMD2YD(Y,M,D,YD2)
      WRITE(*,40) YD2
   40 FORMAT(F20.4)
      GOTO 10
      END
